Bug 64487 - ttmkfdir is Aborting
Summary: ttmkfdir is Aborting
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 67218
TreeView+ depends on / blocked
 
Reported: 2002-05-06 18:01 UTC by Sammy
Modified: 2016-09-30 05:09 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-21 20:12:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 64487 master MERGED storage: Increment generation when completing operation 2016-09-29 21:29 UTC

Description Sammy 2002-05-06 18:01:30 UTC
I noticed that ttmkfdir command, when ran in my truetype font
directory (which includes the MS web fonts) is just crashing
with a statement "Aborting".

This is for XFree86-4.2.0-8. The ttmkfdir that came with 
version XFree86-4.2.0-6.32 works fine in the same directory.

Comment 1 Mike A. Harris 2002-05-10 15:10:50 UTC
It doesn't crash for me with any ttf fonts I've got.  That means it
is a specific problem with those particular fonts you've got installed
causing the problem.  This can be a bug in ttmkfdir, or it could be
a bug in the font itself, as many fonts contain incorrect data. It's
also possible the font filenames do not follow the font filenaming
requirements that XFree86 requires.

Without a specific reproduceable test case and/or more data, there is
little I/we can do about the problem you're experiencing.

Can you provide me with further details, and narrow down the problem?

Comment 2 Sammy 2002-05-13 14:22:44 UTC
Created attachment 57084

Comment 3 Sammy 2002-05-13 14:23:02 UTC
 OK....I have narrowed it down to one font, mtsorts.ttf, which I am 
attaching.

Comment 4 Mike A. Harris 2002-06-22 01:13:03 UTC
The mtsorts.ttf font you have is buggy.

http://support.microsoft.com/default.aspx?scid=kb;EN-US;q138795

Solution: Delete this font.

Also, you have attached a copyrighted work of art to a publically viewable
bug report, which is a violation of the font's copyright - even though it
is a broken font.

Please do not attach copyrighted works into bug reports.  If you need to,
provide a URL to a file instead please.

Comment 5 Mike A. Harris 2016-09-30 05:08:57 UTC
Wow, bug necrofications.


Note You need to log in before you can comment on or make changes to this bug.